Atom Build provider for sassc, compiles Sass
JavaScript
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Permalink
Failed to load latest commit information.
lib
.eslintrc
.gitignore
.jshintrc
.travis.yml
LICENSE.md
README.md
coffeelint.json
gulpfile.js
package.json
screenshot.png
yarn.lock

README.md

build-sassc

apm apm apm Travis David David

Atom Build provider for sassc, compiles Sass into CSS. Supports the linter package for error highlighting.

If you prefer Ruby Sass, take note of the separate build-sass package. When in doubt, consult the Sass Compatibility chart.

Screenshot

See the linter in action

Installation

apm

Install build-sassc from Atom's Package Manager or the command-line equivalent:

$ apm install build-sassc

Using Git

Change to your Atom packages directory:

# Windows
$ cd %USERPROFILE%\.atom\packages

# Linux & macOS
$ cd ~/.atom/packages/

Clone repository as build-sassc:

$ git clone https://github.com/idleberg/atom-build-sassc build-sassc

Inside the cloned directory, install Node dependencies:

$ yarn || npm install

Usage

Build

Before you can build, select an active target with your preferred build option.

Available targets:

  • Sass [compact|compressed|expanded|user]

Shortcuts

Here's a reminder of the default shortcuts you can use with this package:

Select active target

Cmd+Alt+T or F7

Build script

Cmd+Alt+B or F9

Jump to error

Cmd+Alt+G or F4

Toggle build panel

Cmd+Alt+V or F8

License

This work is licensed under the The MIT License.

Donate

You are welcome support this project using Flattr or Bitcoin 17CXJuPsmhuTzFV2k4RKYwpEHVjskJktRd